body {
    font-family: sans-serif;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

.hide {
    visibility: hidden;
    height: 0;
}

#loaderContainer {
    background-color: Canvas;
    width: 100%;
    height: 100%;
    position: fixed;

    .loader {
        width: 48px;
        height: 48px;
        border: 5px solid CanvasText;
        border-bottom-color: transparent;
        border-radius: 50%;
        display: inline-block;
        box-sizing: border-box;
        animation: rotation 1s linear infinite;
    }

    @keyframes rotation {
        0% {
            transform: rotate(0deg);
        }
        100% {
            transform: rotate(360deg);
        }
    } 
}

#FlowchartZone {
    details {
        margin-top: 15px;
        margin-bottom: 10px;
    }
    summary {
        font-size: 23px;
        font-weight: bold;
    }
    .filter {
        max-width: 90%;
        width: 400px;
        h3 {
            font-size: 17px;
        }
    }
    label {
        font-weight: 500;
    }
    input {
        margin-left: 5px;
        margin-right: 5px;
    }
    .range {
        input {
            width: 100px;
        }
    }
}

.choiceFieldContainer {
    display: flex;
    flex-direction: column;
}


#ResultsArea {
    margin-left: 10px;
    margin-top: 10px;
    display: flex;
    flex-flow: row wrap;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 10px 30px;

    .result {
        width: 250px;
        height: 300px;
        display: flex;
        flex-flow: column nowrap;
        border: 1px solid lightgray;
        padding: 5px;
        box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);


        img {
            margin: auto;
        }

    }
}

footer {
    margin-top: 20px;
    background-color: Canvas;
}